<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Collection
 * @package Pinpoint\DeliveryMessage\Model\ResourceModel\DeliveryMessage;
 */

namespace Pinpoint\DeliveryMessage\Model\ResourceModel\DeliveryMessage;

use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;

class Collection extends AbstractCollection
{
    /**
     * @var string
     */
    protected $_idFieldName = \Pinpoint\DeliveryMessage\Model\DeliveryMessage::MESSAGE_ID;

    /**
     * @inheritdoc
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init(\Pinpoint\DeliveryMessage\Model\DeliveryMessage::class,
            \Pinpoint\DeliveryMessage\Model\ResourceModel\DeliveryMessage::class);
    }
}
