<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Days
 * @package Pinpoint\DeliveryMessage\Ui\Component\Form\DataProviders;
 */

namespace Pinpoint\DeliveryMessage\Ui\Component\Form\DataProviders;

use Magento\Framework\Data\OptionSourceInterface;

class Days implements OptionSourceInterface
{
    /**
     * @var array
     */
    private $options;

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            ['label' => 'Default', 'value' => 'Default'],
            ['label' => 'Monday', 'value' => 'Monday'],
            ['label' => 'Tuesday', 'value' => 'Tuesday'],
            ['label' => 'Wednesday', 'value' => 'Wednesday'],
            ['label' => 'Thursday', 'value' => 'Thursday'],
            ['label' => 'Friday', 'value' => 'Friday'],
            ['label' => 'Saturday', 'value' => 'Saturday'],
            ['label' => 'Sunday', 'value' => 'Sunday']
        ];
    }
}
