<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class TimeFormat
 * @package Pinpoint\DeliveryMessage\Ui\Component\Form\DataProviders;
 */

namespace Pinpoint\DeliveryMessage\Ui\Component\Form\DataProviders;
use Magento\Framework\Data\OptionSourceInterface;

class TimeFormat implements OptionSourceInterface
{
    /**
     * @var array
     */
    private $options;

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            ['label' => '12', 'value' => '12'],
            ['label' => '24', 'value' => '24']
        ];

    }
}
