<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Listing
 * @package Pinpoint\DeliveryMessage\Ui\Component\Listing\DataProviders\DeliveryMessage;
 */
namespace Pinpoint\DeliveryMessage\Ui\Component\Listing\DataProviders\DeliveryMessage;

class Listing extends \Magento\Ui\DataProvider\AbstractDataProvider
{
    /**
     * Listing constructor.
     * @param string $name
     * @param string $primaryFieldName
     * @param string $requestFieldName
     * @param \Pinpoint\DeliveryMessage\Model\ResourceModel\DeliveryMessage\CollectionFactory $collectionFactory
     * @param array $meta
     * @param array $data
     */
    public function __construct(
        string $name,
        string $primaryFieldName,
        string $requestFieldName,
        \Pinpoint\DeliveryMessage\Model\ResourceModel\DeliveryMessage\CollectionFactory $collectionFactory,
        array $meta = [],
        array $data = []
    ) {
        parent::__construct($name, $primaryFieldName, $requestFieldName, $meta, $data);
        $this->collection = $collectionFactory->create();
    }
}
