<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class DeliveryMessage
 * @package Pinpoint\DeliveryMessage\Model\ResourceModel;
 */

namespace Pinpoint\DeliveryMessage\Model\ResourceModel;

use Exception;
use Magento\Framework\DB\Select;
use Magento\Framework\EntityManager\EntityManager;
use Magento\Framework\EntityManager\MetadataPool;
use Magento\Framework\Exception\LocalizedException;
use Magento\Framework\Exception\NoSuchEntityException;
use Magento\Framework\Model\AbstractModel;
use Magento\Framework\Model\ResourceModel\Db\AbstractDb;
use Magento\Framework\Model\ResourceModel\Db\Context;
use Magento\Review\Model\ResourceModel\Review;
use Magento\Store\Model\Store;
use Magento\Store\Model\StoreManagerInterface;
use Pinpoint\DeliveryMessage\Api\Data\DeliveryMessageInterface;

class DeliveryMessage extends AbstractDb
{
    /**
     * @var string
     */
    private $_messageStoreTable;

    /**
     * @inheritdoc
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init('bh_delivery_message', 'message_id');
    }
}
